Subject: Re: bug#30044: Emacs: Gud-mode: Debugging with gud: Window switching problem

From: Noam Postavsky <[email-masked]>
Date: Sun, 20 May 2018 19:52:32 -0400

tags 30044 - moreinfo pending
found 30044 24.5
close 30044 25.1
quit

On 20 May 2018 at 18:37, Claus Fischer <[email-masked]> wrote:
> 
> On Sun, May 20, 2018 at 06:10:01PM -0400, Noam Postavsky wrote:
>> On 20 May 2018 at 16:03, Claus Fischer <[email-masked]> wrote:
>> 
>> > I attach the full content of the trace-output buffer; I'm not sure
>> > it's appropriate for the bug-tracker since it contains some specific
>> > information of my source code.
>> 
>> Do you mean that it might contain information you prefer not to post publicly?
> 
> I don't think there's anything secret in it, just that it would
> clog the bugtracker with too much information.
> 
>> Looking at the end of your trace:
>> 
>> 1 -> (trace-values (#<window 10 on *gud-hubserverd*> #<window 3 on memdb.c>) ...
>> | 2 -> (gud-display-frame)
>> | | 3 -> (gud-display-line ".../database.c" 231)
>> | | 3 -> (trace-values #<window 10 on *gud-hubserverd*>)
>> | | | 4 -> (display-buffer #<buffer database.c>)
>> | | | 4 <- display-buffer: #<window 10 on database.c>
>> 
>> I think you are running Emacs 24.5, correct? I ask because in Emacs
>> 25.1 and above, that display-buffer call would have an additional (nil
>> (inhibit-same-window . t)) argument. In which case, you might be
>> hitting Bug#20034/19901/17675.
> 
> Yes, indeed.
> 
> $ emacs --version
> GNU Emacs 24.5.1
> Copyright (C) 2015 Free Software Foundation, Inc.
> GNU Emacs comes with ABSOLUTELY NO WARRANTY.
> You may redistribute copies of Emacs
> under the terms of the GNU General Public License.
> For more information about these matters, see the file named COPYING.
> 
> ***
> 
> About bug 19901: I noticed that after the bug, Emacs had kind of
> "switched" its idea in which half of the frame the correct window
> was. I have a single frame with upper and lower half windows
> (C-x 2), and I usually debug in the lower and view the source
> in the upper one.
> 
> However, after the bug hit, even if I switched the lower half
> to *gud-gdb* again, it would for the next breakpoint again
> cover the gud-gdb window. But if I switched the upper half
> to *gud-gdb*, I could continue debugging "normally", and
> the source would then show up in the lower window.
> 
> ***
> 
> I looked up the descriptions of the other bugs, and it seems
> it's the same as mine. So I'll expect that the next Emacs
> (whenever I upgrade my Debian) will probably fix it.

If you are using Stretch (current stable) or later you can get a newer
Emacs by installing the emacs25 package.

https://packages.debian.org/stretch/emacs25
 
> I won't report it again for Emacs 24.5.
> 
> If you want to close the bug on that account, please
> go ahead!

Okay, closing.

> Thanks very much for your help!